---
title: Get URL Normalization settings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[URL Normalization](https://developers.cloudflare.com/api/python/resources/url_normalization)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get URL Normalization settings

url\_normalization.get(URLNormalizationGetParams\*\*kwargs) -> [URLNormalizationGetResponse](<https://developers.cloudflare.com/api/python/resources/url_normalization#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/url\_normalization

Fetches the current URL Normalization settings.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Response Compression Write``Response Compression Read``Config Settings Write``Config Settings Read``Dynamic URL Redirects Write``Dynamic URL Redirects Read``Cache Settings Write``Cache Settings Read``Custom Errors Write``Custom Errors Read``Origin Write``Origin Read``Managed headers Write``Managed headers Read``Zone Transform Rules Write``Zone Transform Rules Read``Mass URL Redirects Write``Mass URL Redirects Read``Magic Firewall Write``Magic Firewall Read``L4 DDoS Managed Ruleset Write``L4 DDoS Managed Ruleset Read``HTTP DDoS Managed Ruleset Write``HTTP DDoS Managed Ruleset Read``Sanitize Write``Sanitize Read``Transform Rules Write``Transform Rules Read``Select Configuration Write``Select Configuration Read``Bot Management Write``Bot Management Read``Zone WAF Write``Zone WAF Read``Account WAF Write``Account WAF Read``Account Rulesets Read``Account Rulesets Write``Logs Write``Logs Read``Logs Write``Logs Read`

##### ParametersExpand Collapse

zone\_id: str

The unique ID of the zone.

[Link to this property](<#(resource)%20url_normalization%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class URLNormalizationGetResponse: …

A result.

</summary>

<details>

<summary>

scope: Literal\["incoming", "both", "none"]

The scope of the URL normalization.

</summary>

One of the following:

"incoming"

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(member)%200">Link to this property</a>

"both"

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20scope">Link to this property</a>

<details>

<summary>

type: Literal\["cloudflare", "rfc3986"]

The type of URL normalization performed by Cloudflare.

</summary>

One of the following:

"cloudflare"

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"rfc3986"

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20url_normalization%20%3E%20(model)%20url_normalization_get_response%20%3E%20(schema)>)

### Get URL Normalization settings

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
url_normalization = client.url_normalization.get(
    zone_id="9f1839b6152d298aca64c4e906b6d074",
)
print(url_normalization.scope)
```

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "result": {
    "scope": "incoming",
    "type": "cloudflare"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "result": {
    "scope": "incoming",
    "type": "cloudflare"
  },
  "success": true
}
```